using System;
using System.Drawing;
using System.Windows.Forms;
using System.Windows.Forms.Design;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Reflection;
public class DesignerForm : Form {
	private MyPointControl myPointControl1;
	private System.Windows.Forms.Button button1;
	private System.Windows.Forms.Button button2;
	private System.Windows.Forms.Button button3;
	private System.Windows.Forms.TextBox textBox1;
	private System.Windows.Forms.TextBox textBox2;
	private System.Windows.Forms.Label label1;
	private System.Windows.Forms.Label label2;

	public DesignerForm() {
		InitializeComponent();
	}
	void InitializeComponent() {
		this.myPointControl1 = new MyPointControl();
		this.button1 = new System.Windows.Forms.Button();
		this.button2 = new System.Windows.Forms.Button();
		this.button3 = new System.Windows.Forms.Button();
		this.textBox1 = new System.Windows.Forms.TextBox();
		this.textBox2 = new System.Windows.Forms.TextBox();
		this.label1 = new System.Windows.Forms.Label();
		this.label2 = new System.Windows.Forms.Label();
		this.SuspendLayout();
		// 
		// myPointControl1
		// 
		this.myPointControl1.Location = new System.Drawing.Point(56, 24);
		this.myPointControl1.Name = "myPointControl1";
		this.myPointControl1.Size = new System.Drawing.Size(200, 200);
		this.myPointControl1.TabIndex = 0;
		this.myPointControl1.Text = "myPointControl1";
		// 
		// button1
		// 
		this.button1.Location = new System.Drawing.Point(119, 320);
		this.button1.Name = "button1";
		this.button1.TabIndex = 1;
		this.button1.Text = "Apply";
		this.button1.Click += new System.EventHandler(this.click);
		// 
		// button2
		// 
		this.button2.DialogResult = System.Windows.Forms.DialogResult.OK;
		this.button2.Location = new System.Drawing.Point(31, 320);
		this.button2.Name = "button2";
		this.button2.Click += new System.EventHandler(this.click);
		this.button2.TabIndex = 2;
		this.button2.Text = "OK";
		// 
		// button3
		// 
		this.button3.DialogResult = System.Windows.Forms.DialogResult.Cancel;
		this.button3.Location = new System.Drawing.Point(207, 320);
		this.button3.Name = "button3";
		this.button3.TabIndex = 3;
		this.button3.Text = "Cancel";
		// 
		// textBox1
		// 
		this.textBox1.Location = new System.Drawing.Point(170, 248);
		this.textBox1.Name = "textBox1";
		this.textBox1.TabIndex = 4;
		this.textBox1.Text = "";
		// 
		// textBox2
		// 
		this.textBox2.Location = new System.Drawing.Point(170, 288);
		this.textBox2.Name = "textBox2";
		this.textBox2.TabIndex = 5;
		this.textBox2.Text = "";
		// 
		// label1
		// 
		this.label1.Location = new System.Drawing.Point(42, 248);
		this.label1.Name = "label1";
		this.label1.TabIndex = 6;
		this.label1.Text = "X";
		// 
		// label2
		// 
		this.label2.Location = new System.Drawing.Point(42, 288);
		this.label2.Name = "label2";
		this.label2.TabIndex = 7;
		this.label2.Text = "Y";
		// 
		// DesignerForm
		// 
		this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
		this.ClientSize = new System.Drawing.Size(312, 349);
		this.Controls.Add(this.label2);
		this.Controls.Add(this.label1);
		this.Controls.Add(this.textBox2);
		this.Controls.Add(this.textBox1);
		this.Controls.Add(this.button3);
		this.Controls.Add(this.button2);
		this.Controls.Add(this.button1);
		this.Controls.Add(this.myPointControl1);
		this.Name = "DesignerForm";
		this.Text = "MyPointDesignerForm";
		this.Load += new System.EventHandler(this.DesignerForm_Load);
		this.ResumeLayout(false);

	}
	private void DesignerForm_Load(object sender, EventArgs e) {
		textBox1.Text = myPointControl1.Point.X.ToString();
		textBox2.Text = myPointControl1.Point.Y.ToString();
	}
	private void click(object sender, EventArgs e) {
		apply();
	}
	private void apply() {
		myPointControl1.Point.X = int.Parse(textBox1.Text);
		myPointControl1.Point.Y = int.Parse(textBox2.Text);
		myPointControl1.Refresh();
	}
	internal MyPointControl MPC {
		get {
			return myPointControl1;
		}
	}
}
public class MyPointDesigner : ControlDesigner {
	public override DesignerVerbCollection Verbs {
		get {
			DesignerVerb[] verbs = new DesignerVerb[] {
				new DesignerVerb("Launch MyLabel Designer.(&L)", new EventHandler(launch_designer))
			};
			return new DesignerVerbCollection(verbs);
		}
	}
	void launch_designer(object sender, EventArgs e) {
		MyPointControl mpc = Control as MyPointControl;
		DesignerForm form = new DesignerForm();
		form.MPC.Point = mpc.Point;
		if (form.ShowDialog() == DialogResult.OK)
			mpc.Point = form.MPC.Point;
	}
}
