using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using System.Windows.Forms.Design;
using System.Drawing.Design;
public class MyPointUIEditor : UITypeEditor {
	public override UITypeEditorEditStyle GetEditStyle(ITypeDescriptorContext context) {
		return UITypeEditorEditStyle.DropDown;
	}
	public override object EditValue(ITypeDescriptorContext context, IServiceProvider provider, object value) {
		IWindowsFormsEditorService edSvc = (IWindowsFormsEditorService)provider.GetService(typeof(IWindowsFormsEditorService));
		if (edSvc == null)i
			return value;
		MyPoint p = value as MyPoint;
		if (p == null)
			throw new ArgumentException();
		MyPointControl mpc = new MyPointControl();
		mpc.Size = new Size(200, 200);
		mpc.Point = p;
		edSvc.DropDownControl(mpc);
		return mpc.Point;
	}
}
